Bug 1056222 - [abrt] cups-bjnp: strcpy(): bjnp killed by SIGABRT
Summary: [abrt] cups-bjnp: strcpy(): bjnp killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cups-bjnp
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Louis Lagendijk
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:15604b414f2d01c0f972262b3bd...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-21 17:39 UTC by Stuart Rogers
Modified: 2014-02-06 21:09 UTC (History)
2 users (show)

Fixed In Version: cups-bjnp-1.2.2-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-31 04:26:01 UTC


Attachments (Terms of Use)
File: backtrace (17.90 KB, text/plain)
2014-01-21 17:39 UTC, Stuart Rogers
no flags Details
File: cgroup (155 bytes, text/plain)
2014-01-21 17:39 UTC, Stuart Rogers
no flags Details
File: core_backtrace (3.10 KB, text/plain)
2014-01-21 17:39 UTC, Stuart Rogers
no flags Details
File: dso_list (2.29 KB, text/plain)
2014-01-21 17:39 UTC, Stuart Rogers
no flags Details
File: environ (939 bytes, text/plain)
2014-01-21 17:39 UTC, Stuart Rogers
no flags Details
File: limits (1.29 KB, text/plain)
2014-01-21 17:39 UTC, Stuart Rogers
no flags Details
File: maps (12.13 KB, text/plain)
2014-01-21 17:40 UTC, Stuart Rogers
no flags Details
File: open_fds (640 bytes, text/plain)
2014-01-21 17:40 UTC, Stuart Rogers
no flags Details
File: proc_pid_status (897 bytes, text/plain)
2014-01-21 17:40 UTC, Stuart Rogers
no flags Details
File: var_log_messages (206 bytes, text/plain)
2014-01-21 17:40 UTC, Stuart Rogers
no flags Details
wireshark trace of failure (152.82 KB, text/plain)
2014-01-22 09:04 UTC, Stuart Rogers
no flags Details

Description Stuart Rogers 2014-01-21 17:39:44 UTC
Description of problem:
I am attempting to print using Tutboprint to a Canon IP7250 printer using a CUPS URI. Turboprint creates the output and starts sending the data to the printer but it stops half way through the page with this error. It happens everytime I print wirelessly. Conncting via USB and using Turboprint works perfectly.

Version-Release number of selected component:
cups-bjnp-1.2.1-2.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        bjnp://192.168.0.15 5 stuart 'TurboPrint Testpage' 1 'finishings=3 number-up=1 job-uuid=urn:uuid:ec8b7300-ef18-3c27-6080-4b7fd3f171f8 job-originating-host-name=localhost time-at-creation=1390305151 time-at-processing=1390305151'
crash_function: strcpy
executable:     /usr/lib/cups/backend/bjnp
kernel:         3.12.8-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            4

Truncated backtrace:
Thread no. 1 (4 frames)
 #5 strcpy at /usr/include/bits/string3.h:104
 #6 parse_status_to_paperout at bjnp-commands.c:41
 #7 bjnp_get_paper_status at bjnp-commands.c:273
 #8 bjnp_backendRunLoop at bjnp-runloop.c:344

Comment 1 Stuart Rogers 2014-01-21 17:39:49 UTC
Created attachment 853392 [details]
File: backtrace

Comment 2 Stuart Rogers 2014-01-21 17:39:51 UTC
Created attachment 853393 [details]
File: cgroup

Comment 3 Stuart Rogers 2014-01-21 17:39:54 UTC
Created attachment 853394 [details]
File: core_backtrace

Comment 4 Stuart Rogers 2014-01-21 17:39:55 UTC
Created attachment 853395 [details]
File: dso_list

Comment 5 Stuart Rogers 2014-01-21 17:39:57 UTC
Created attachment 853396 [details]
File: environ

Comment 6 Stuart Rogers 2014-01-21 17:39:59 UTC
Created attachment 853397 [details]
File: limits

Comment 7 Stuart Rogers 2014-01-21 17:40:01 UTC
Created attachment 853398 [details]
File: maps

Comment 8 Stuart Rogers 2014-01-21 17:40:03 UTC
Created attachment 853399 [details]
File: open_fds

Comment 9 Stuart Rogers 2014-01-21 17:40:06 UTC
Created attachment 853400 [details]
File: proc_pid_status

Comment 10 Stuart Rogers 2014-01-21 17:40:10 UTC
Created attachment 853401 [details]
File: var_log_messages

Comment 11 Louis Lagendijk 2014-01-21 19:18:32 UTC
Thanks for the report. Canon apparently changed the response to the comnand cups-bjnp sends. Could you please make a wireshark trace and post the result here?

I have a patch that may, or may not fix the issue. With the trace I can see if the patch would be sufficient or if I would need to add an xml parser to get the result we need. If you like, I can also send you a patched bjnp to test.

Comment 12 Stuart Rogers 2014-01-21 22:55:12 UTC
Will run this on Wdnesday and update with trace. Have found that printing a text file from Kate editor works OK so it would seem it depends on what type of data is being printed.

Comment 13 Stuart Rogers 2014-01-22 09:04:26 UTC
Created attachment 853746 [details]
wireshark trace of failure

Comment 14 Louis Lagendijk 2014-01-22 14:20:07 UTC
hi Stuart
Thanks for the wireshark trace. That did help me understand the issue.
I would like to ask you to test http://kojipkgs.fedoraproject.org//work/tasks/9419/6439419/cups-bjnp-1.2.1-2.fc21.x86_64.rpm (built for RawHide, but it installs and works ok on Fedora 20).
If that works for you, I will release a new upstream version and push it as version 1.3 into Fedora 20

Thanks an advance!

Comment 15 Stuart Rogers 2014-01-22 14:52:49 UTC
Yes indeed it does now work, printing the test page from Turboprint which was where it was failing. I will do a few more tests but I dont expect any issues.

Comment 16 Fedora Update System 2014-01-22 18:41:05 UTC
cups-bjnp-1.2.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cups-bjnp-1.2.2-1.fc20

Comment 17 Fedora Update System 2014-01-22 18:42:23 UTC
cups-bjnp-1.2.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/cups-bjnp-1.2.2-1.fc19

Comment 18 Fedora Update System 2014-01-22 18:43:28 UTC
cups-bjnp-1.2.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cups-bjnp-1.2.2-1.el6

Comment 19 Fedora Update System 2014-01-22 18:44:27 UTC
cups-bjnp-1.2.2-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cups-bjnp-1.2.2-1.el5

Comment 20 Fedora Update System 2014-01-22 21:21:40 UTC
Package cups-bjnp-1.2.2-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing cups-bjnp-1.2.2-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-0288/cups-bjnp-1.2.2-1.el6
then log in and leave karma (feedback).

Comment 21 Fedora Update System 2014-01-31 04:26:01 UTC
cups-bjnp-1.2.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2014-01-31 04:28:12 UTC
cups-bjnp-1.2.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2014-02-06 21:09:12 UTC
cups-bjnp-1.2.2-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2014-02-06 21:09:23 UTC
cups-bjnp-1.2.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.